## org.eclipse.amp.amf.acore.edit.commands.test
Class NewAgentCondition

    java.lang.Object
      org.eclipse.amp.amf.acore.edit.commands.test.PrePostCondition
          org.eclipse.amp.amf.acore.edit.commands.test.NewAgentCondition

All Implemented Interfaces:
  PrePostAsserts

Direct Known Subclasses:
  NewSubcontextCondition

    public class NewAgentCondition

extends PrePostCondition

Constructor Summary
`NewAgentCondition()`

Method Summary
`void` `postCondition()`

Methods inherited from class org.eclipse.amp.amf.acore.edit.commands.test.PrePostCondition
`agAttr, agentRootAct, agInput, agQuery, attr, getDomain, getModel, memAgent, memContext, preCondition, rootAct, setDomain, setModel, setTestCase`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NewAgentCondition

    public NewAgentCondition()

Method Detail

### postCondition

    public void postCondition()

  Specified by:
    `postCondition` in interface `PrePostAsserts`
  Overrides:
    `postCondition` in class `PrePostCondition`